package com.itseasy.rtf;

import java.text.SimpleDateFormat;
import java.util.Date;

public class RtfUtil {
   public static String convertDateToRTFString(Date datum) {
      SimpleDateFormat formater = new SimpleDateFormat("\'\\yr\'yyyy\'\\mo\'MM\'\\dy\'dd\'\\hr\'HH\'\\min\'mm\'\\sec\'ss");
      return formater.format(datum);
   }

   public static String getRTFString(String text) {
      StringBuffer workstr = new StringBuffer();

      for(int i = 0; i < text.length(); ++i) {
         char ch = text.charAt(i);
         switch(ch) {
         case '\t':
            workstr.append("{\\tab}");
            break;
         case '\u0010':
            workstr.append("{\\line}");
            break;
         case '\\':
            workstr.append("\\\\");
            break;
         case '{':
            workstr.append("\\{");
            break;
         case '}':
            workstr.append("\\}");
            break;
         default:
            if(ch < 128) {
               workstr.append(ch);
            } else {
               workstr.append("\\\'" + Integer.toHexString(ch));
            }
         }
      }

      return workstr.toString();
   }

   public static int getTwipFromMillimeter(double mm) {
      return (int)(mm / 25.4D * 1440.0D + 0.5D);
   }

   public static double getMillimeterFromTwip(int twips) {
      return (double)twips * 25.4D / 1440.0D;
   }

   public static int getIntegerFromText(String buf, int startpos) {
      boolean result = true;

      int len;
      for(len = 0; Character.isDigit(buf.charAt(startpos + len)); ++len) {
         ;
      }

      int var6;
      try {
         var6 = Integer.parseInt(buf.substring(startpos, startpos + len));
      } catch (NumberFormatException var5) {
         var6 = -1;
      }

      return var6;
   }

   public static int getPositionOfTagEnd(String text, int begin) {
      int end = begin + 1;

      for(int klammercount = 1; klammercount > 0; ++end) {
         if(text.charAt(end) == 123) {
            ++klammercount;
         } else if(text.charAt(end) == 125) {
            --klammercount;
         }
      }

      return end;
   }
}
