package com.itseasy.rtf.text;

public class Font {
   public static final String FAMILY_ROMAN = "froman";
   public static final String FAMILY_SWISS = "fswiss";
   public static final String FAMILY_MODERN = "fmodern";
   public static final String FAMILY_SCRIPT = "fscript";
   public static final String FAMILY_DECOR = "fdecor";
   public static final String FAMILY_TECH = "ftech";
   public static final String FAMILY_BIDI = "fbidi";
   public static final String FAMILY_NIL = "fnil";
   public static final Font TIMES_NEW_ROMAN = new Font("Times New Roman", "froman");
   public static final Font ARIAL = new Font("Arial", "fswiss");
   public static final Font COURIER_NEW = new Font("Courier New", "fmodern");
   public static final Font SYMBOL = new Font("Symbol", "fnil", 2);
   private static int fontcount;
   private String name;
   private String family;
   private int fontnumber;
   private int charset;

   public Font(String name, String familie) {
      this(name, familie, 0);
   }

   private Font(String name, String familie, int charset) {
      this.fontnumber = getFontcount();
      this.name = name;
      this.family = familie;
      this.charset = charset;
   }

   public String getName() {
      return this.name;
   }

   public int getFontnumber() {
      return this.fontnumber;
   }

   public String getRtfContent() {
      return "\\f" + this.fontnumber + "\\" + this.family + "\\charset" + this.charset + " " + this.name + ";";
   }

   private static int getFontcount() {
      return 200 + fontcount++;
   }
}
