package com.itseasy.rtf.text;

import com.itseasy.rtf.RtfUtil;
import java.util.Date;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;

public class InfoGroup {
   public static final String INFO_TITLE = "title";
   public static final String INFO_SUBJECT = "subject";
   public static final String INFO_AUTHOR = "author";
   public static final String INFO_MANAGER = "manager";
   public static final String INFO_OPERATOR = "operator";
   public static final String INFO_CATEGORY = "category";
   public static final String INFO_KEYWORDS = "keywords";
   public static final String INFO_COMMENT = "comment";
   public static final String INFO_DOCCOMM = "doccomm";
   public static final String INFO_HLINKBASE = "hlinkbase";
   public static final String INFO_CREATIM = "creatim";
   public static final String INFO_REVTIM = "revtim";
   public static final String INFO_PRINTIM = "printim";
   public static final String INFO_BUPTIM = "buptim";
   private Map infos = new HashMap();
   private int version;

   public InfoGroup() {
      this.setInfoAsDate("creatim", new Date());
   }

   public void setInfoAsString(String key, String value) {
      this.infos.put(key, RtfUtil.getRTFString(value));
   }

   public void setInfoAsDate(String key, Date value) {
      this.infos.put(key, RtfUtil.convertDateToRTFString(value));
   }

   public void setVersion(int value) {
      this.version = value;
   }

   public int getVersion() {
      return this.version;
   }

   public String getRtfContent() {
      StringBuffer content = new StringBuffer();
      content.append("{\\info");
      Iterator it = this.infos.keySet().iterator();

      while(it.hasNext()) {
         String key = (String)it.next();
         content.append("{\\" + key + " " + this.infos.get(key) + "}");
      }

      content.append("{\\version" + this.getVersion() + "}");
      content.append("}");
      return content.toString();
   }
}
