package com.itseasy.rtf.text;

import com.itseasy.rtf.text.Font;
import com.itseasy.rtf.text.Paragraph;
import com.itseasy.rtf.text.Text;
import com.itseasy.rtf.text.TextPart;
import java.util.HashSet;
import java.util.ListIterator;
import java.util.Set;

public class List extends Paragraph {
   private int space = 0;

   public List() {
   }

   public List(Text content) {
      super(content);
   }

   public List(int spacebefore, int spaceafter, TextPart content) {
      super(spacebefore, spaceafter, content);
   }

   public List(int spacebefore, int spaceafter) {
      super(spacebefore, spaceafter);
   }

   public List(int spacebefore, int spaceafter, int fontsize, Font font, TextPart content) {
      super(spacebefore, spaceafter, fontsize, font, content);
   }

   public void setSpace(int space) {
      this.space = space;
   }

   public Set getAllFonts() {
      Object fs = super.getAllFonts();
      if(fs == null) {
         fs = new HashSet();
      }

      ((Set)fs).add(Font.SYMBOL);
      return (Set)(((Set)fs).size() > 0?fs:null);
   }

   protected String getContent() {
      StringBuffer sb = new StringBuffer();
      boolean firstitem = true;
      ListIterator it = this.content.listIterator();

      while(it.hasNext()) {
         if(firstitem) {
            sb.append("{\\*\\pn\\pnlvlblt\\pnf" + Font.SYMBOL.getFontnumber() + "\\pnindent0{\\pntxtb\\\'B7}}\\fi-380\\li380");
            firstitem = false;
         } else {
            sb.append("{\\pntext\\f" + Font.SYMBOL.getFontnumber() + "\\\'B7\\tab}");
            sb.append("\\sb0");
         }

         String itemcontent = ((Text)it.next()).getRtfContent();
         sb.append("\\sa" + (it.hasNext()?this.space:this.getSpaceAfter()) * 10 * 2);
         sb.append(itemcontent);
         if(it.hasNext()) {
            sb.append("\\par ");
         }
      }

      return sb.toString();
   }

   public String getRtfContent(boolean insideTable) {
      return "{" + super.getRtfContent(insideTable) + "}";
   }
}
