package com.itseasy.rtf.text;

import com.itseasy.rtf.text.Paragraph;
import java.util.ArrayList;
import java.util.HashSet;
import java.util.ListIterator;
import java.util.Set;

public class MultiParagraphs {
   private java.util.List content;

   public MultiParagraphs() {
      this.content = new ArrayList();
   }

   public MultiParagraphs(Paragraph content) {
      this();
      this.addParagraph(content);
   }

   public void addParagraph(Paragraph part) {
      this.content.add(part);
   }

   public Set getAllFonts() {
      HashSet fs = new HashSet();
      ListIterator it = this.content.listIterator();

      while(it.hasNext()) {
         Set f = ((Paragraph)it.next()).getAllFonts();
         if(f != null) {
            fs.addAll(f);
         }
      }

      return fs.size() > 0?fs:null;
   }

   public String getRtfContent() {
      return this.getRtfContent(false);
   }

   public String getRtfContent(boolean insideTable) {
      StringBuffer sb = new StringBuffer();
      ListIterator it = this.content.listIterator();

      while(it.hasNext()) {
         sb.append(((Paragraph)it.next()).getRtfContent(insideTable));
      }

      return sb.toString();
   }
}
