package com.itseasy.rtf.text;

import com.itseasy.rtf.text.Text;
import com.itseasy.rtf.text.TextPart;
import java.util.ArrayList;
import java.util.HashSet;
import java.util.ListIterator;
import java.util.Set;

public class MultiTextParts implements Text {
   private java.util.List content;

   public MultiTextParts() {
      this.content = new ArrayList();
   }

   public MultiTextParts(TextPart content) {
      this();
      this.addText(content);
   }

   public void addText(TextPart part) {
      this.content.add(part);
   }

   public Set getAllFonts() {
      HashSet fs = new HashSet();
      ListIterator it = this.content.listIterator();

      while(it.hasNext()) {
         Set f = ((TextPart)it.next()).getAllFonts();
         if(f != null) {
            fs.add(f);
         }
      }

      return fs.size() > 0?fs:null;
   }

   public String getRtfContent() {
      StringBuffer sb = new StringBuffer();
      ListIterator it = this.content.listIterator();

      while(it.hasNext()) {
         sb.append(((TextPart)it.next()).getRtfContent());
      }

      return sb.toString();
   }
}
