package com.itseasy.rtf.text;

import com.itseasy.rtf.RtfUtil;
import com.itseasy.rtf.text.PageSize;

public class PageDefinition {
   private PageSize papersize;
   private int margright;
   private int margleft;
   private int margtop;
   private int margbottom;

   public PageDefinition() {
      this(PageSize.DIN_A4, 20.0D, 20.0D, 20.0D, 20.0D);
   }

   public PageDefinition(PageSize ps, double marginleft, double marginright, double margintop, double marginbottom) {
      this.papersize = ps;
      this.margleft = RtfUtil.getTwipFromMillimeter(marginleft);
      this.margright = RtfUtil.getTwipFromMillimeter(marginright);
      this.margtop = RtfUtil.getTwipFromMillimeter(margintop);
      this.margbottom = RtfUtil.getTwipFromMillimeter(marginbottom);
   }

   public String getRtfContent() {
      return "\\paperw" + this.papersize.getWidth() + "\\paperh" + this.papersize.getHeight() + "\\margl" + this.margleft + "\\margr" + this.margright + "\\margt" + this.margtop + "\\margb" + this.margbottom;
   }

   public double getVisibleLineSize() {
      return RtfUtil.getMillimeterFromTwip(this.papersize.getWidth() - this.margleft - this.margright);
   }
}
