package com.itseasy.rtf.text;

import com.itseasy.rtf.RtfUtil;

public class Tabulator {
   public static final int TABKIND_LEFT = 0;
   public static final int TABKIND_RIGHT = 1;
   public static final int TABKIND_CENTER = 2;
   public static final int TABKIND_DECIMAL = 3;
   public static final int TABLEAD_NOTHING = 0;
   public static final int TABLEAD_DOTS = 1;
   public static final int TABLEAD_UNDERLINE = 2;
   private int tabpos;
   private int tabkind;
   private int tablead;

   public Tabulator(double position) {
      this.tabpos = 0;
      this.tabkind = 0;
      this.tablead = 0;
      this.tabpos = RtfUtil.getTwipFromMillimeter(position);
   }

   public Tabulator(double position, int tabkind) {
      this(position);
      this.tabkind = tabkind;
   }

   public Tabulator(double position, int tabkind, int tablead) {
      this(position, tabkind);
      this.tablead = tablead;
   }

   public String getRtfContent() {
      StringBuffer format = new StringBuffer();
      switch(this.tabkind) {
      case 0:
      default:
         break;
      case 1:
         format.append("\\tqr");
         break;
      case 2:
         format.append("\\tqc");
         break;
      case 3:
         format.append("\\tqdec");
      }

      switch(this.tablead) {
      case 0:
      default:
         break;
      case 1:
         format.append("\\tldot");
         break;
      case 2:
         format.append("\\tlul");
      }

      format.append("\\tx" + this.tabpos);
      return format.toString();
   }
}
